Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to install beta(unstable) package
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
noqrax
n00b
n00b


Joined: 04 Oct 2016
Posts: 51

PostPosted: Sun Jan 22, 2017 2:36 pm    Post subject: How to install beta(unstable) package Reply with quote

I have installed firefox 45.X.X, but there available build for www-client/firefox/firefox-50.1.0-r1. How can install this package?
Back to top
View user's profile Send private message
khayyam
Watchman
Watchman


Joined: 07 Jun 2012
Posts: 6228
Location: Room 101

PostPosted: Sun Jan 22, 2017 3:16 pm    Post subject: Re: How to install beta(unstable) package Reply with quote

noqrax wrote:
I have installed firefox 45.X.X, but there available build for www-client/firefox/firefox-50.1.0-r1. How can install this package?

noqrax ... you would 'keyword' it like so:

/etc/portage/package.accept_keywords:
=www-client/firefox-50.1.0-r1

That is a package version keyword, you could however keyword the package (so that any update to '~arch' is provided as an update):

/etc/portage/package.accept_keywords:
www-client/firefox

best ... khay
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21791
Location: here

PostPosted: Sun Jan 22, 2017 4:01 pm    Post subject: Reply with quote

For a overview of portage configuration files you can see here
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
noqrax
n00b
n00b


Joined: 04 Oct 2016
Posts: 51

PostPosted: Sun Jan 22, 2017 5:38 pm    Post subject: Reply with quote

I installed firefox 50 usingthis command:
Code:
USE="-gnome gtk2" emerge --ask --autounmask-write =firefox-50.1.0-r1


How can I install FF45 again?
Back to top
View user's profile Send private message
Markus09
Tux's lil' helper
Tux's lil' helper


Joined: 22 Mar 2013
Posts: 78

PostPosted: Sun Jan 22, 2017 8:48 pm    Post subject: Reply with quote

If you want to emerge a specific version, specify it to emerge:
Code:
emerge -av =www-client/firefox-45.6.0-r1


But be aware that this would register this version also in the world packages list.
I would do the following: remove firefox 50:
Code:
emerge -a --depclean =firefox-50.1.0-r1

Then undo the modifications done due to "--autounmask-write" (Portage settings files package.keywords or package.accept_keywords should be helpful for you).
And install firefox using
Code:
emerge -av firefox

which then again selects the stable version.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum